clear
close all

M = 100;
N = 100;
r = 5;

% true data matrix
Xtrue = randn(M,r)*randn(r,N);

% create mask to sample sampProb percent of entries
sampProb = 0.4;
mask = rand(M,N) < sampProb;
X = Xtrue.*mask;    % observed data

% run your algorithm
p = 1;                                      % tuning parameter
Xhat = sIRLSp(X,mask,p);
norm(Xhat-Xtrue,'fro')/norm(Xtrue,'fro')    % estimation error
