"""
LRMC demo - sIRLSp

ECE 510

python version: 3.7.3

Spring 2019
"""

import numpy as np
import time
from numpy.linalg import norm
from scipy.linalg import fractional_matrix_power

def sIRLSp(X, mask, p):
    
    M, N = np.shape(X)

    ## Algorithm parameters
    tol = 1e-8
    maxIter = 1000


    for kk in range(maxIter):

        # stopping conditions
        err = norm(Xprev - Xhat, ord='fro')/norm(Xhat, ord='fro')
        if err < tol:
            break

    return Xhat


